# GW1NRF-4 UART to BLE Reference Design

## Reference Design Description

This example show how to communicate and pass traffic through the MCU to and from the BLE transceiver in the GOWIN GW1NRF-4 Device.  It can be a useful starting point to provide connectivity between the GW1NRF-4 and a Bluetooth enabled device as well as communication between the FPGA and MCU.

#### Reference Design Block Diagram:

![misc/block_diagram.jpg](misc/block_diagram.jpg)

## Example Setup

#### The MCU project deployment:

* Open SDK
* In Project Explorer select 'sw/projects' folder
* Call a context menu and select 'Import...'
* Select 'General->File system' import wizard
* Browse the 'uart_ble/mcu/uart_ble_custom_serial' 
* Select the 'uart_ble_custom_serial' on left panel
* Confirm the 'Into folder' field contains path 'sw/projects'
* Check 'Create top-level folder' checkbox
* 'Finish'
* Open 'sw/projects/CMakeLists.txt' file
* Add a line 'ADD_SUBDIRECTORY(uart_ble_custom_serial)' to the file
* You can delete or comment other ADD_SUBDIRECTORY lines to decrease build time
* Save the file
* Rebuild the workspace



## Smartphone App Information:

https://play.google.com/store/apps/details?id=de.kai_morich.serial_bluetooth_terminal&hl=en

App Source:
https://github.com/kai-morich/SimpleBluetoothLeTerminal



## Hardware Setup between USB to UART adapter and DK_BLE_INIT_RevB Development Kit:

![DVK_Setup.jpg](misc/DVK_Setup.jpg)