module uart_ble (
    // MCU pins
    // uart
    output mcu_rx,
    input mcu_tx,
    // led control
    input link,
    input activity,
    // external pins
    // uart
    input rx,
    output tx,
    // status led
    output led
);

    assign tx = mcu_tx;
    assign mcu_rx = rx;

wire led_clk;
reg [29:0] counter;
wire link_led;
wire activity_led;

OSC u_osc(
.OSCOUT(led_clk)
);
defparam u_osc.FREQ_DIV=100;

always @(posedge led_clk)
    counter <= link ? counter + 1 : 0;

assign link_led = (counter[21:16] == 5'b000001) ? 1'b1 : 1'b0;
assign activity_led = counter[16];

assign led = link ? (activity ? activity_led : link_led) : 1'b1;

endmodule
